//
// $Id: Constants.h,v 1.14 2005/07/12 19:15:36 will_mason Exp $
//
// vi: set ft=objc:

/*
 * ObjectiveLib - a library of containers and algorithms for Objective-C
 *
 * Copyright (c 2004
 * Will Mason
 *
 * Portions:
 *
 * Copyright (c 1994
 * Hewlett-Packard Company
 *
 * Copyright (c 1996,1997
 * Silicon Graphics Computer Systems, Inc.
 *
 * Copyright (c 1997
 * Moscow Center for SPARC Technology
 *
 * Copyright (c 1999 
 * Boris Fomitchev
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author at will_mason@users.sourceforge.net.
 */

#if !defined(CONSTANTS_OL_GUARD)
#define CONSTANTS_OL_GUARD

#import "Macros.h"
#import "Config.h"
#if defined(OL_HAVE_INTTYPES_H)
#import <inttypes.h>
#endif

@class NSString;

/**
 * Keys for archiving
 */
extern NSString* const IS_DEFAULT_ALLOCATOR_KEY;
extern NSString* const ALLOCATOR_KEY;
extern NSString* const NUMBER_OF_BITS_KEY;
extern NSString* const NUMBER_OF_WORDS_KEY;
extern NSString* const BEGIN_OFFSET_KEY;
extern NSString* const END_OFFSET_KEY;
extern NSString* const ARRAY_KEY;
extern NSString* const FUNCTION_KEY;
extern NSString* const ARGUMENT_KEY;
extern NSString* const LENGTH_KEY;
extern NSString* const NAME_KEY;
extern NSString* const AUTORELEASE_KEY;
extern NSString* const FIRST_KEY;
extern NSString* const SECOND_KEY;
extern NSString* const KEYEQUAL_KEY;
extern NSString* const TABLE_SIZE_KEY;
extern NSString* const COMPARATOR_KEY;
extern NSString* const PREDICATE_KEY;
extern NSString* const VECTOR_KEY;
extern NSString* const DEQUE_KEY;

#endif
