//
// $Id: Constants.m,v 1.15 2005/05/18 06:46:52 will_mason Exp $
//
// vi: set ft=objc:

/*
 * ObjectiveLib - a library of containers and algorithms for Objective-C
 *
 * Copyright (c) 2004
 * Will Mason
 *
 * Portions:
 *
 * Copyright (c) 1994
 * Hewlett-Packard Company
 *
 * Copyright (c) 1996,1997
 * Silicon Graphics Computer Systems, Inc.
 *
 * Copyright (c) 1997
 * Moscow Center for SPARC Technology
 *
 * Copyright (c) 1999 
 * Boris Fomitchev
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author at will_mason@users.sourceforge.net.
 */

#import "Constants.h"
#import <Foundation/NSString.h>

NSString* const IS_DEFAULT_ALLOCATOR_KEY = @"OL_IS_DEFAULT_ALLOCATOR_KEY";
NSString* const ALLOCATOR_KEY = @"OL_ALLOCATOR_KEY";
NSString* const NUMBER_OF_BITS_KEY = @"OL_NUMBER_OF_BITS_KEY";
NSString* const NUMBER_OF_WORDS_KEY = @"OL_NUMBER_OF_WORDS_KEY";
NSString* const BEGIN_OFFSET_KEY = @"OL_BEGIN_OFFSET_KEY";
NSString* const END_OFFSET_KEY = @"OL_END_OFFSET_KEY";
NSString* const ARRAY_KEY = @"OL_ARRAY_KEY";
NSString* const FUNCTION_KEY = @"OL_FUNCTION_KEY";
NSString* const ARGUMENT_KEY = @"OL_ARGUMENT_KEY";
NSString* const LENGTH_KEY = @"OL_LENGTH_KEY";
NSString* const NAME_KEY = @"OL_NAME_KEY";
NSString* const AUTORELEASE_KEY = @"OL_AUTORELEASE_KEY";
NSString* const FIRST_KEY = @"OL_FIRST_KEY";
NSString* const SECOND_KEY = @"OL_SECOND_KEY";
NSString* const KEYEQUAL_KEY = @"OL_KEYEQUAL_KEY";
NSString* const TABLE_SIZE_KEY = @"OL_TABLE_SIZE_KEY";
NSString* const COMPARATOR_KEY = @"OL_COMPARATOR_KEY";
NSString* const PREDICATE_KEY = @"OL_PREDICATE_KEY";
NSString* const VECTOR_KEY = @"OL_VECTOR_KEY";
NSString* const DEQUE_KEY = @"OL_DEQUE_KEY";

/*
 * I/O exceptions
 */
NSString* const OLInputOutputException = @"OLInputOutputException";
NSString* const OLClassNotFoundException = @"OLClassNotFoundException";
NSString* const OLEndOfStreamException = @"OLEndOfStreamException";

/*
 * Socket exceptions
 */
NSString* const OLSocketException = @"OLSocketException";

