//
// $Id: DataOutStream.m,v 1.5 2005/05/18 06:46:52 will_mason Exp $
//
// vi: set ft=objc:

/*
 * ObjectiveLib - a library of containers and algorithms for Objective-C
 *
 * Copyright (c) 2004
 * Will Mason
 *
 * Portions:
 *
 * Copyright (c) 1994
 * Hewlett-Packard Company
 *
 * Copyright (c) 1996,1997
 * Silicon Graphics Computer Systems, Inc.
 *
 * Copyright (c) 1997
 * Moscow Center for SPARC Technology
 *
 * Copyright (c) 1999 
 * Boris Fomitchev
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author at will_mason@users.sourceforge.net.
 */

#import "DataOutStream.h"
#import "Macros.h"
#import <Foundation/NSData.h>

@implementation OLDataOutStream

+ (id) stream
{
    OL_BEGIN_AUTO_CTOR(OLDataOutStream)
        init
    OL_END_AUTO_CTOR;
}

- (id) init
{
    return [self initWithAllocator: [OLAllocator defaultAllocator]];
}

- (id) initWithAllocator: (OLAllocator*)alloc
{
    [super init];
    allocator = OBJ_RETAIN(alloc);
    buffer = [[allocator allocateObject: [NSMutableData class]] init];
    return self;
}

- (void) dealloc
{
    [allocator deallocateObject: buffer];
    OBJ_RELEASE(allocator);
    [super dealloc];
}

- (NSData*) data
{
    return buffer;
}

- (unsigned) writeBytes: (const uint8_t*)bytes count: (unsigned)count
{
    [buffer appendBytes: bytes length: count];
    return count;
}

@end
